Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
meohoang

Xâu kết các lisp đã có cho công việc

Các bài được khuyến nghị

Tôi xâu 2 lisp như thế này thì nhanh hơn tí tẹo. Các anh em thử lại xem sao nhé.

Chú ý là phải có file joint2pline.lsp (chép trên forum) hoặc bên dưới

Chỉ tại là khi chọn các hatch để xem diện tích theo file h2p.lsp của Mr. Hoành thì

mình thấy các pline rời rạc phải nối lại mới đọc được Area trên Properties; do đó xâu

2 Ct lại như bên dưới...Test chạy cũng đã lắm

--------------------------------------------------------------------------------------------

(defun c:chb ( / ss sodt index ent)

(defun crone (ent)

(command "-layer" "S" lop ""

".hatchedit" ent "b" "p" "y")

)

(setq ss (ssget '((0 . "HATCH")))

lop (cdr (assoc '8 (entget (ssname ss 0))))

sodt (cond

(ss (sslength ss))

(t 0)

)

index 0 )

 

(repeat sodt

(setq ent

(ssname ss index)

index (1+ index)

)

(crone ent)

(load "joint2pline")

(c:nn)

)

)

-----------------------------------------------------------------------------------

(defun c:nn (/ tdt ssdt sodt index)

(defun ObjName (ssdt /)

(cdr (assoc '0 (entget ssdt)))

)

(defun MoPL (ssdt /)

(= (cdr (assoc '70 (entget ssdt))) 0)

)

(defun NoiPL (ssdt /)

(if (MoPL ssdt)

(command ".PEDIT" ssdt "J" "All" "" "X")

)

)

(defun NoiLC (ssdt /)

(command ".PEDIT" ssdt "Y" "J" "All" "" "X")

)

(setq

tdt (ssget)

sodt (sslength tdt)

index 0

)

(repeat sodt

(setq

ssdt (ssname tdt index)

index (1+ index)

)

(if (or (= (Objname ssdt) "LWPOLYLINE")

(= (Objname ssdt) "POLYLINE")

)

(NoiPL ssdt)

)

(if (or (= (Objname ssdt) "LINE") (= (Objname ssdt) "ARC"))

(NoiLC ssdt)

)

)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Vâng...em cũng copy tất thành 1 file.gọn và nhẹ.

Để phân biệt rõ cgiữa các chương trình thì dùng vài hàng lệnh ; kiểu như

;******************************

;Lenh tao cua di, cua so

;

;

;******************************

.

.

.

.

.

.

;******************************

;

;Lenh Scale 1 chieu

;

;******************************

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×